source: general/genlib/libgpg-error.xml@ 29d11601

10.0 10.1 11.0 9.1 ken/refactor-virt lazarus qt5new trunk upgradedb xry111/git-date xry111/git-date-for-trunk xry111/git-date-test
Last change on this file since 29d11601 was 29d11601, checked in by Bruce Dubbs <bdubbs@…>, 22 months ago

Update to gdb-9.1.
Update to libgpg-error-1.37.
Update to nss-3.50.
Update to firewalld-0.8.1.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@22643 af4574ff-66df-0310-9fd7-8a98e5e911e0

  • Property mode set to 100644
File size: 6.1 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY libgpg-error-download-http "&gnupg-http;/libgpg-error/libgpg-error-&libgpg-error-version;.tar.bz2">
8 <!ENTITY libgpg-error-download-ftp "&gnupg-ftp;/libgpg-error/libgpg-error-&libgpg-error-version;.tar.bz2">
9 <!ENTITY libgpg-error-download-ftp " ">
10 <!ENTITY libgpg-error-md5sum "729f22d917494fdc4b54fce5aa6547c7">
11 <!ENTITY libgpg-error-size "916 KB">
12 <!ENTITY libgpg-error-buildsize "9.9 MB (with tests)">
13 <!ENTITY libgpg-error-time "0.1 SBU (with tests)">
14]>
15
16<sect1 id="libgpg-error" xreflabel="libgpg-error-&libgpg-error-version;">
17 <?dbhtml filename="libgpg-error.html"?>
18
19 <sect1info>
20 <othername>$LastChangedBy$</othername>
21 <date>$Date$</date>
22 </sect1info>
23
24 <title>libgpg-error-&libgpg-error-version;</title>
25
26 <indexterm zone="libgpg-error">
27 <primary sortas="a-libgpg-error">libgpg-error</primary>
28 </indexterm>
29
30 <sect2 role="package">
31 <title>Introduction to libgpg-error</title>
32
33 <para>
34 The <application>libgpg-error</application> package contains a
35 library that defines common error values for all
36 <application>GnuPG</application> components.
37 </para>
38
39 &lfs90_checked;
40
41 <bridgehead renderas="sect3">Package Information</bridgehead>
42 <itemizedlist spacing="compact">
43 <listitem>
44 <para>
45 Download (HTTP): <ulink url="&libgpg-error-download-http;"/>
46 </para>
47 </listitem>
48 <listitem>
49 <para>
50 Download (FTP): <ulink url="&libgpg-error-download-ftp;"/>
51 </para>
52 </listitem>
53 <listitem>
54 <para>
55 Download MD5 sum: &libgpg-error-md5sum;
56 </para>
57 </listitem>
58 <listitem>
59 <para>
60 Download size: &libgpg-error-size;
61 </para>
62 </listitem>
63 <listitem>
64 <para>
65 Estimated disk space required: &libgpg-error-buildsize;
66 </para>
67 </listitem>
68 <listitem>
69 <para>
70 Estimated build time: &libgpg-error-time;
71 </para>
72 </listitem>
73 </itemizedlist>
74
75 <para condition="html" role="usernotes">User Notes:
76 <ulink url="&blfs-wiki;/libgpg-error"/>
77 </para>
78 </sect2>
79
80 <sect2 role="installation">
81 <title>Installation of libgpg-error</title>
82
83 <para>
84 Install <application>libgpg-error</application> by running the
85 following commands:
86 </para>
87
88<screen><userinput>./configure --prefix=/usr &amp;&amp;
89make</userinput></screen>
90
91 <para>
92 To test the results, issue: <command>make check</command>.
93 </para>
94
95 <para>
96 Now, as the <systemitem class="username">root</systemitem> user:
97 </para>
98
99<screen role="root"><userinput>make install &amp;&amp;
100install -v -m644 -D README /usr/share/doc/libgpg-error-&libgpg-error-version;/README</userinput></screen>
101
102 </sect2>
103
104 <sect2 role="content">
105 <title>Contents</title>
106
107 <segmentedlist>
108 <segtitle>Installed Programs</segtitle>
109 <segtitle>Installed Library</segtitle>
110 <segtitle>Installed Directories</segtitle>
111
112 <seglistitem>
113 <seg>
114 gpg-error, gpg-error-config, gpgrt-config, and yat2m
115 </seg>
116 <seg>
117 libgpg-error.so
118 </seg>
119 <seg>
120 /usr/share/common-lisp/source/gpg-error,
121 /usr/share/libgpg-error, and
122 /usr/share/doc/libgpg-error-&libgpg-error-version;
123 </seg>
124 </seglistitem>
125 </segmentedlist>
126
127 <variablelist>
128 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
129 <?dbfo list-presentation="list"?>
130 <?dbhtml list-presentation="table"?>
131
132 <varlistentry id="gpg-error">
133 <term><command>gpg-error</command></term>
134 <listitem>
135 <para>
136 is used to determine <application>libgpg-error</application>
137 error codes.
138 </para>
139 <indexterm zone="libgpg-error gpg-error">
140 <primary sortas="b-gpg-error">gpg-error</primary>
141 </indexterm>
142 </listitem>
143 </varlistentry>
144
145 <varlistentry id="gpg-error-config">
146 <term><command>gpg-error-config</command></term>
147 <listitem>
148 <para>
149 is a utility used to configure and build applications based on
150 the <application>libgpg-error</application> library. It can be used
151 to query the C compiler and linker flags which are required to
152 correctly compile and link the application against the
153 <application>libgpg-error</application> library.
154 </para>
155 <indexterm zone="libgpg-error gpg-error-config">
156 <primary sortas="b-gpg-error-config">gpg-error-config</primary>
157 </indexterm>
158 </listitem>
159 </varlistentry>
160
161 <varlistentry id="gpgrt-config">
162 <term><command>gpgrt-config</command></term>
163 <listitem>
164 <para>
165 is the same script as <command>gpg-error-config</command>.
166 </para>
167 <indexterm zone="libgpg-error gpgrt-config">
168 <primary sortas="b-gpgrt-config">gpgrt-config</primary>
169 </indexterm>
170 </listitem>
171 </varlistentry>
172
173 <varlistentry id="yat2m">
174 <term><command>yat2m</command></term>
175 <listitem>
176 <para>
177 extracts man pages from a Texinfo source.
178 </para>
179 <indexterm zone="libgpg-error yat2m">
180 <primary sortas="b-yat2m">yat2m</primary>
181 </indexterm>
182 </listitem>
183 </varlistentry>
184
185 <varlistentry id="libgpg-error-lib">
186 <term><filename class="libraryfile">libgpg-error.so</filename></term>
187 <listitem>
188 <para>
189 contains the <application>libgpg-error</application> API
190 functions.
191 </para>
192 <indexterm zone="libgpg-error libgpg-error-lib">
193 <primary sortas="c-libgpg-error">libgpg-error.so</primary>
194 </indexterm>
195 </listitem>
196 </varlistentry>
197
198 </variablelist>
199
200 </sect2>
201
202</sect1>
Note: See TracBrowser for help on using the repository browser.